## linux-main-modules-nvidia-tegra 6.8.0-1016.16+3

=== debian/ancillary/linux-main-generate/debian/changelog ===
linux-main-generate-nvidia-tegra (6.8.0-1016.16+3) noble; urgency=medium

  * Main version: 6.8.0-1016.16

  * noble/linux-nvidia-tegra: 6.8.0-1016.16 -proposed tracker (LP: #2140352)
    - Modify ancillary names

 -- Noah Wager <noah.wager@canonical.com>  Fri, 13 Feb 2026 06:44:37 -0800

linux-main-generate-nvidia-tegra (6.8.0-1016.16+2) noble; urgency=medium

  * Main version: 6.8.0-1016.16

  * noble/linux-nvidia-tegra: 6.8.0-1016.16 -proposed tracker (LP: #2140352)
    - Fix annotations for Python < 3.9

 -- Noah Wager <noah.wager@canonical.com>  Thu, 12 Feb 2026 07:40:13 -0800

linux-main-generate-nvidia-tegra (6.8.0-1016.16+1) noble; urgency=medium

  * Main version: 6.8.0-1016.16

 -- Noah Wager <noah.wager@canonical.com>  Wed, 11 Feb 2026 10:25:45 -0800

linux-main-generate-nvidia-tegra (6.8.0-1016.16) noble; urgency=medium

  * Main version: 6.8.0-1016.16

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2025.12.18)

 -- Noah Wager <noah.wager@canonical.com>  Wed, 11 Feb 2026 10:24:14 -0800

linux-main-generate-nvidia-tegra (6.8.0-1015.15+5) noble; urgency=medium

  * Fix small issue in kernel check

 -- Alessio Faina <alessio.faina@canonical.com>  Tue, 10 Feb 2026 11:28:54 +0100
