=== debian/changelog ===
linux-main-modules-nvidia-tegra (6.8.0-1016.16+3) noble; urgency=medium

  * Main version: 6.8.0-1016.16

  * noble/linux-nvidia-tegra: 6.8.0-1016.16 -proposed tracker (LP: #2140352)
    - Modify ancillary names

 -- Noah Wager <noah.wager@canonical.com>  Fri, 13 Feb 2026 06:44:37 -0800

linux-main-modules-nvidia-tegra (6.8.0-1016.16+2) noble; urgency=medium

  * Main version: 6.8.0-1016.16

  * noble/linux-nvidia-tegra: 6.8.0-1016.16 -proposed tracker (LP: #2140352)
    - Fix annotations for Python < 3.9

 -- Noah Wager <noah.wager@canonical.com>  Thu, 12 Feb 2026 07:40:13 -0800

linux-main-modules-nvidia-tegra (6.8.0-1016.16+1) noble; urgency=medium

  * Main version: 6.8.0-1016.16

 -- Noah Wager <noah.wager@canonical.com>  Wed, 11 Feb 2026 10:25:45 -0800

linux-main-modules-nvidia-tegra (6.8.0-1016.16) noble; urgency=medium

  * Main version: 6.8.0-1016.16

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package
    - [Packaging] debian/dkms-versions -- update from kernel-versions
      (main/d2025.12.18)

 -- Noah Wager <noah.wager@canonical.com>  Wed, 11 Feb 2026 10:24:14 -0800

linux-main-modules-nvidia-tegra (6.8.0-1015.15+5) noble; urgency=medium

  * Fix small issue in kernel check

 -- Alessio Faina <alessio.faina@canonical.com>  Tue, 10 Feb 2026 11:28:54 +0100

linux-main-modules-nvidia-tegra (6.8.0-1015.15+3) noble; urgency=medium

  * Rebase after dkms archive simplification

 -- Alessio Faina <alessio.faina@canonical.com>  Sun, 08 Feb 2026 10:58:22 +0100

linux-main-modules-nvidia-tegra (6.8.0-1015.15+2) noble; urgency=medium

  * Copy all the ko files if the build is off-series

 -- Alessio Faina <alessio.faina@canonical.com>  Sat, 07 Feb 2026 11:39:14 +0100

linux-main-modules-nvidia-tegra (6.8.0-1015.15+1) noble; urgency=medium

  * Check if any module has actually been built for a specific flavour

 -- Alessio Faina <alessio.faina@canonical.com>  Sat, 07 Feb 2026 09:23:35 +0100

linux-main-modules-nvidia-tegra (6.8.0-1015.15) noble; urgency=medium

  * Rebase after adding pkgconf and autoconf to the minimal dependencies 
  * Move to 6.8.0-1015.15

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 06 Feb 2026 21:53:46 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+15) noble; urgency=medium

  * Fail only if cannot build at least one variant of an off_series DKMS

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 06 Feb 2026 20:51:22 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+14) noble; urgency=medium

  * Fix doca-ofed module name 

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 06 Feb 2026 17:23:26 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+13) noble; urgency=medium

  * Remove ZFS as it should not be built for this

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 06 Feb 2026 15:55:24 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+12) noble; urgency=medium

  * Bump to test doca-ofed built as off-series

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 06 Feb 2026 14:48:36 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+11) noble; urgency=medium

  * Try mixup between off_series and build-depends 

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 06 Feb 2026 13:55:30 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+10) noble; urgency=medium

  * Bump after updating the DOCA-OFED module to ubuntu3 

 -- Alessio Faina <alessio.faina@canonical.com>  Mon, 02 Feb 2026 11:28:23 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+9) noble; urgency=medium

  * Bump after metapackage name change in master

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 28 Jan 2026 16:20:37 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+8) noble; urgency=medium

  * Add -rt build variant, mixed up with flavour before

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 28 Jan 2026 10:10:26 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+7) noble; urgency=medium

  * Add -rt variant

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 28 Jan 2026 09:44:11 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+6) noble; urgency=medium

  * Update doca-ofed version to 0ubuntu2

 -- Alessio Faina <alessio.faina@canonical.com>  Tue, 27 Jan 2026 11:50:48 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+5) noble; urgency=medium

  * After rebasing on master and integrating signed package new strategy

 -- Alessio Faina <alessio.faina@canonical.com>  Tue, 27 Jan 2026 11:13:57 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+4) noble; urgency=medium

  * Try to build doca-ofed as well by importing dependency in PPA
  * This works only if the PPA is linked or the package copied in this PPA

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 23 Jan 2026 12:06:36 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+3) noble; urgency=medium

  * This should build only for arm64, previous was correctly creating debs

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 23 Jan 2026 10:35:36 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+2) noble; urgency=medium

  * Look for .zst compressed modules as well

 -- Alessio Faina <alessio.faina@canonical.com>  Fri, 23 Jan 2026 09:44:13 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14+1) noble; urgency=medium

  * Upload new one as the previous was for generic instead of tegra

 -- Alessio Faina <alessio.faina@canonical.com>  Thu, 22 Jan 2026 16:24:44 +0100

linux-main-modules-nvidia-tegra (6.8.0-1014.14) noble; urgency=medium

  * Test to release dkms for tegra

 -- Alessio Faina <alessio.faina@canonical.com>  Thu, 22 Jan 2026 13:57:16 +0100

linux-main-modules-nvidia-tegra (6.8.0-0.0) noble; urgency=medium

  * Initial commit for Tegra

 -- Alessio Faina <alessio.faina@canonical.com>  Wed, 21 Jan 2026 16:55:26 +0100
