=== debian/control ===
Source: linux-main-modules-nvidia-tegra
Section: devel
Priority: optional
Maintainer: Canonical Kernel Team <kernel-team@lists.ubuntu.com>
Standards-Version: 3.9.8
Build-Depends:
 dpkg (>= 1.13.19),
 debhelper (>= 9),
Build-Depends-Arch:
 autoconf,
 dkms,
 fakeroot,
 pkgconf,
 python3,
 wget,
 zstd,
 linux-headers-6.8.0-1016-nvidia-tegra (>= 6.8.0-1016.16)  [arm64],
 linux-headers-6.8.0-1016-nvidia-tegra-rt (>= 6.8.0-1016.16)  [arm64]
Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-main-modules/+git/noble

Package: linux-main-modules-nvidia-tegra
Architecture: arm64
Section: devel
Priority: optional
Description: Build interlock package. You do not want to install this package.
