=== debian/ancillary/linux-main-signed/debian/changelog ===
linux-main-signed-nvidia-tegra (6.8.0-1018.18) noble; urgency=medium

  * Main version: 6.8.0-1018.18

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Noah Wager <noah.wager@canonical.com>  Wed, 25 Feb 2026 13:27:22 -0800
