=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
  python3,
  wget,
  zstd,
- linux-headers-6.8.0-1016-nvidia-tegra (>= 6.8.0-1016.16)  [arm64],
- linux-headers-6.8.0-1016-nvidia-tegra-rt (>= 6.8.0-1016.16)  [arm64]
+ linux-headers-6.8.0-1018-nvidia-tegra (>= 6.8.0-1018.18)  [arm64],
+ linux-headers-6.8.0-1018-nvidia-tegra-rt (>= 6.8.0-1018.18)  [arm64]
 Vcs-Git: git://git.launchpad.net/~ubuntu-kernel/ubuntu/+source/linux-main-modules/+git/noble
 
 Package: linux-main-modules-nvidia-tegra
