## linux-main-modules-nvidia-tegra 6.8.0-1019.19

=== debian/ancillary/linux-main-generate/debian/changelog ===
linux-main-generate-nvidia-tegra (6.8.0-1019.19) noble; urgency=medium

  * Main version: 6.8.0-1019.19

  * Packaging resync (LP: #1786013)
    - [Packaging] debian/tracking-bug -- resync from main package

 -- Noah Wager <noah.wager@canonical.com>  Sat, 28 Feb 2026 19:28:26 -0800

linux-main-generate-nvidia-tegra (6.8.0-1018.18+1) noble; urgency=medium

  * Main version: 6.8.0-1018.18

  * noble/linux-nvidia-tegra: 6.8.0-1018.18 -proposed tracker (LP: #2141098)
    - Fix synthetic invalid status in proposed promotion

 -- Noah Wager <noah.wager@canonical.com>  Fri, 27 Feb 2026 08:35:01 -0800
