=== debian/ancillary/linux-main-generate/debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f
+
+export PYTHONDONTWRITEBYTECODE := 1
 
 SOURCE=$(shell dpkg-parsechangelog -S Source)
 VERSION=$(shell dpkg-parsechangelog -S Version)
